EXIF library (libexif) API: libexif/exif-entry.h File Reference

Main Page | Directories | File List | Globals | Related Pages

# exif-entry.h File Reference

Handling EXIF entries. More...

`#include <libexif/exif-content.h>`
`#include <libexif/exif-format.h>`
`#include <libexif/exif-mem.h>`

Go to the source code of this file.

## Data Structures
struct | _ExifEntry
## Defines
#define | exif_entry_get_ifd(e) ((e)?exif_content_get_ifd((e)->parent):EXIF_IFD_COUNT)
## Typedefs
typedef _ExifEntry | ExifEntry
typedef _ExifEntryPrivate | ExifEntryPrivate
## Functions
ExifEntry * | exif_entry_new (void)
ExifEntry * | exif_entry_new_mem (ExifMem *)
void | exif_entry_ref (ExifEntry *entry)
void | exif_entry_unref (ExifEntry *entry)
void | exif_entry_free (ExifEntry *entry)
void | exif_entry_initialize (ExifEntry *entry, ExifTag tag)
void | exif_entry_fix (ExifEntry *entry)
const char * | exif_entry_get_value (ExifEntry *entry, char *val, unsigned int maxlen)
void | exif_entry_dump (ExifEntry *entry, unsigned int indent)

## Detailed Description

Handling EXIF entries.

Copyright © 2001 Lutz Müller <lutz@users.sourceforge.net>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

## Function Documentation

void exif_entry_dump | ( | ExifEntry * | entry,
|  | unsigned int | indent
| ) |

| Dump text representation of ExifEntry to stdout

void exif_entry_free | ( | ExifEntry * | entry | ) |

| Actually free the ExifEntry* Deprecated: Should not be called directly. Use exif_entry_ref() and exif_entry_unref() instead.

const char* exif_entry_get_value | ( | ExifEntry * | entry,
|  | char * | val,
|  | unsigned int | maxlen
| ) |

| Return the value of the EXIF entry CAUTION: The character set of the returned string is not defined. It may be UTF-8, latin1, the native encoding of the computer, or the native encoding of the camera.

ExifEntry* exif_entry_new | ( | void |  | ) |

| Reserve memory for and initialize new ExifEntry*

void exif_entry_ref | ( | ExifEntry * | entry | ) |

| Increase reference counter for ExifEntry*

void exif_entry_unref | ( | ExifEntry * | entry | ) |

| Decrease reference counter for ExifEntry*